Page MenuHomePhabricator

Allow Remarkup lists to have checkboxes
ClosedPublic

Authored by epriestley on May 1 2014, 8:10 PM.
Tags
None
Referenced Files
F13215398: D8931.id.diff
Fri, May 17, 5:02 PM
F13214249: D8931.diff
Fri, May 17, 9:32 AM
F13202936: D8931.diff
Tue, May 14, 11:19 PM
F13188027: D8931.diff
Sat, May 11, 4:55 AM
Unknown Object (File)
Tue, May 7, 7:07 AM
Unknown Object (File)
Fri, May 3, 6:55 AM
Unknown Object (File)
Wed, Apr 24, 10:42 PM
Unknown Object (File)
Apr 17 2024, 6:21 AM
Subscribers

Details

Summary

Fixes T3945. This provides a convenience style for checkmark lists. They're read-only. See disucssion in T3945.

We're limited on how much we can style the checkboxes -- it would be nice to make them a little more visible, but this seems mostly OK to me. I added some hinting to the item text to make the completion state more clear.

Test Plan
  • Added unit tests.
  • Ran unit tests.
  • Fixed a couple of existing unit test issues.

Screen_Shot_2014-05-01_at_12.59.18_PM.png (792×1 px, 75 KB)

Diff Detail

Repository
rPHU libphutil
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

epriestley retitled this revision from to Allow Remarkup lists to have checkboxes.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added reviewers: btrahan, chad.

Yeah, the only issue with browser checkboxes is they give the impression they should be interactive. You could use a font-icon here maybe, not sure how good those icons are though for this.

btrahan edited edge metadata.

Interesting feature.

Are there any plans to have Maniphest task lists show up and have some "click to close" functionality right from the list? That's the only functional crash I can foresee (well, unless we get some lightweight "TODO" app or something too...)

This revision is now accepted and ready to land.May 2 2014, 12:46 AM

Let's see how sketchy this is with browser chrome. It basically has two issues:

  • the checkboxes are kind of hard to see
  • the checkboxes sort of look like they're interactable

But these issues fight one another, so maybe we end up somewhere reasonable. If not, we can switch to drawing our own obviously-not-interactable-but-prominent checkboxes (with icons or whatever else), but I think this element is relatively obscure.

(I don't have any plans to make a more lightweight view of Maniphest tasks, but who knows. I wouldn't completely rule it out.)

epriestley updated this revision to Diff 21215.

Closed by commit rPHUd7732a7cc050 (authored by @epriestley).